Get TOTP status

GET/auth/v1/users/current/totp/status

Returns whether the authenticated user currently has TOTP two-factor authentication enabled.

Authorization<token>

In: header

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/authv1.OTPStatusResponse",
  "$ref-value": {
    "properties": {
      "created_at": {
        "type": "string"
      },
      "is_setup": {
        "type": "boolean"
      },
      "message": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X GET "https://api.rixl.com/auth/v1/users/current/totp/status"

OK

application/json

{
  "$ref": "#/components/schemas/authv1.OTPStatusResponse",
  "$ref-value": {
    "properties": {
      "created_at": {
        "type": "string"
      },
      "is_setup": {
        "type": "boolean"
      },
      "message": {
        "type": "string"
      }
    },
    "type": "object"
  }
}